﻿namespace ESBDecimalsPrismDemo;

interface

uses
  System.Drawing,
  System.Collections,
  System.Collections.Generic,
  System.Windows.Forms,
  System.ComponentModel;

type
  /// <summary>
  /// Summary description for MainForm.
  /// </summary>
  MainForm = partial class(System.Windows.Forms.Form)
  private
       method LinkLabel1_LinkClicked(sender: System.Object; e: System.Windows.Forms.LinkLabelLinkClickedEventArgs);
       method ComputeBtn_Click(sender: System.Object; e: System.EventArgs);
  protected
    method Dispose(disposing: Boolean); override;
  public
    constructor;
  end;

implementation

{$REGION Construction and Disposition}
constructor MainForm;
begin
  //
  // Required for Windows Form Designer support
  //
  InitializeComponent();

  //
  // TODO: Add any constructor code after InitializeComponent call
  //
end;

method MainForm.Dispose(disposing: Boolean);
begin
  if disposing then begin
    if assigned(components) then
      components.Dispose();

    //
    // TODO: Add custom disposition code here
    //
  end;
  inherited Dispose(disposing);
end;
{$ENDREGION}

method MainForm.LinkLabel1_LinkClicked(sender: System.Object; e: System.Windows.Forms.LinkLabelLinkClickedEventArgs);
begin
      LinkLabel1.LinkVisited := true;
      System.Diagnostics.Process.Start ("http:\\www.esbpcs.net");  
end;

method MainForm.ComputeBtn_Click(sender: System.Object; e: System.EventArgs);
var
     X, Y: Decimal;
begin
      X := Decimal.Parse (DecimalValue.Text);

      if (EsbDecimals.CompareOps.ValueIsPositive (X)) then
      begin
            Y := EsbDecimals.DecimalOps.Log (X);
            TextBox1.Text := Y.ToString ();

            Y := EsbDecimals.DecimalOps.Log10 (X);
            TextBox2.Text := Y.ToString ();

                    Y := EsbDecimals.DecimalOps.Log2 (X);
                    TextBox3.Text := Y.ToString ();
               end
               else
               begin
                    TextBox1.Text := "Cannot Compute";
                    TextBox2.Text := "Cannot Compute";
                    TextBox3.Text := "Cannot Compute";
               end;

               if (not EsbDecimals.CompareOps.ValueIsNegative (X)) then
               begin
                    Y := EsbDecimals.DecimalOps.Sqrt (X);
                    TextBox10.Text := Y.ToString ();
               end
               else
               begin
                    TextBox10.Text := "Cannot Compute";
               end;

               if ((X > -1) and (X < 1)) then
               begin
                    Y := EsbDecimals.DecimalOps.Asin (X);
                    TextBox8.Text := Y.ToString ();
               end
               else
               begin
                    TextBox8.Text := "Cannot Compute";
               end;

               Y := EsbDecimals.DecimalOps.Exp (X);
               TextBox4.Text := Y.ToString ();

               Y := EsbDecimals.DecimalOps.Tan (X);
               TextBox5.Text := Y.ToString ();

               Y := EsbDecimals.DecimalOps.Sin (X);
               TextBox6.Text := Y.ToString ();

               Y := EsbDecimals.DecimalOps.Cos (X);
               TextBox7.Text := Y.ToString ();

               Y := EsbDecimals.DecimalOps.Atan (X);
               TextBox9.Text := Y.ToString ();

end;

end.
